Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.ast.expr
[Java] Class CastExpression

    java.lang.Object
      org.codehaus.groovy.ast.ASTNode
          org.codehaus.groovy.ast.AnnotatedNode
              org.codehaus.groovy.ast.expr.Expression
                  org.codehaus.groovy.ast.expr.CastExpression

    public class CastExpression
    extends Expression

Represents a type cast expression

Authors:
  James Strachan

Version:
  \$Revision\$

Constructor Summary
`CastExpression(ClassNode type, Expression expression)`
`CastExpression(ClassNode type, Expression expression, boolean ignoreAutoboxing)`

Method Summary
`static CastExpression` | `asExpression(ClassNode type, Expression expression)`
`Expression` | `getExpression()`
`java.lang.String` | `getText()`
`boolean` | `isCoerce()`
`boolean` | `isIgnoringAutoboxing()`
`void` | `setCoerce(boolean coerce)`
`void` | `setType(ClassNode t)`
`java.lang.String` | `toString()`
`Expression` | `transformExpression(ExpressionTransformer transformer)`
`void` | `visit(GroovyCodeVisitor visitor)`

Methods inherited from class Expression
getType, setType, transformExpression, transformExpressions, transformExpressions

Methods inherited from class AnnotatedNode
addAnnotation, addAnnotations, getAnnotations, getAnnotations, getDeclaringClass, hasNoRealSourcePosition, isSynthetic, setDeclaringClass, setHasNoRealSourcePosition, setSynthetic

Methods inherited from class ASTNode
copyNodeMetaData, getColumnNumber, getLastColumnNumber, getLastLineNumber, getLineNumber, getNodeMetaData, getText, putNodeMetaData, removeNodeMetaData, setColumnNumber, setLastColumnNumber, setLastLineNumber, setLineNumber, setNodeMetaData, setSourcePosition, visit

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### CastExpression

    public CastExpression(ClassNode type, Expression expression)

### CastExpression

    public CastExpression(ClassNode type, Expression expression, boolean ignoreAutoboxing)

Method Detail

### asExpression

    public static CastExpression asExpression(ClassNode type, Expression expression)

### getExpression

    public Expression getExpression()

### getText

    public java.lang.String getText()

### isCoerce

    public boolean isCoerce()

### isIgnoringAutoboxing

    public boolean isIgnoringAutoboxing()

### setCoerce

    public void setCoerce(boolean coerce)

### setType

    public void setType(ClassNode t)

### toString

    public java.lang.String toString()

### transformExpression

    public Expression transformExpression(ExpressionTransformer transformer)

### visit

    public void visit(GroovyCodeVisitor visitor)

Groovy Documentation